summaryrefslogtreecommitdiffstats
path: root/MAKEALL
diff options
context:
space:
mode:
authorWolfgang Denk <wd@denx.de>2009-12-07 23:42:33 +0100
committerWolfgang Denk <wd@denx.de>2009-12-07 23:42:33 +0100
commit35e3717772c8c3534c18d8aac69e4b822777c23b (patch)
tree9fa7a1e24f670772cc8d026a15d63ddf85a36810 /MAKEALL
parent7cb5fc15f22de46cc6fabc26baf994cf8f7fa546 (diff)
parent0fc52948bda0734431cb528ee4fd82f1dec8c7b5 (diff)
downloadblackbird-obmc-uboot-35e3717772c8c3534c18d8aac69e4b822777c23b.tar.gz
blackbird-obmc-uboot-35e3717772c8c3534c18d8aac69e4b822777c23b.zip
Merge branch 'master' of ../work into next
Diffstat (limited to 'MAKEALL')
-rwxr-xr-xMAKEALL11
1 files changed, 10 insertions, 1 deletions
diff --git a/MAKEALL b/MAKEALL
index 6ee5c49995..ab1bb6fdf2 100755
--- a/MAKEALL
+++ b/MAKEALL
@@ -1,4 +1,4 @@
-#!/bin/sh
+#!/bin/bash
# Print statistics when we exit
trap exit 1 2 3 15
@@ -39,6 +39,7 @@ LIST=""
ERR_CNT=0
ERR_LIST=""
TOTAL_CNT=0
+RC=0
#########################################################################
## MPC5xx Systems
@@ -939,6 +940,12 @@ build_target() {
${MAKE} ${JOBS} all 2>&1 >${LOG_DIR}/$target.MAKELOG \
| tee ${LOG_DIR}/$target.ERR
+
+ # Check for 'make' errors
+ if [ ${PIPESTATUS[0]} -ne 0 ] ; then
+ RC=1
+ fi
+
if [ -s ${LOG_DIR}/$target.ERR ] ; then
ERR_CNT=$((ERR_CNT + 1))
ERR_LIST="${ERR_LIST} $target"
@@ -962,6 +969,8 @@ print_stats() {
echo "Boards with warnings or errors: ${ERR_CNT} (${ERR_LIST} )"
fi
echo "----------------------------------------------------------"
+
+ exit $RC
}
#-----------------------------------------------------------------------
OpenPOWER on IntegriCloud